/* You can add global styles to this file, and also import other style files */

@import "./styleguide";
@import "~@angular/material/prebuilt-themes/indigo-pink.css";

body {
    text-align: justify;
    font-family: $brand-font-family;
    .full-width {
        width: 100% !important;
    }
    .half-width {
        width: 50% !important;
    }
    .quarter-width {
        width: 25% !important;
    }
    .three-fourth-width {
        width: 75% !important;
    }
    .one-third-width {
        width: 33% !important;
    }
    ::-webkit-scrollbar-thumb {
        background-color: $gray-lightest;
        -webkit-border-radius: 6px;
        height: 1rem;
        border-radius: 6px;
        -webkit-box-shadow: inset 0 0 0.5rem rgba(0, 0, 0, 0.5);
    }
    ::-webkit-scrollbar-track {
        height: 1rem;
    }
    ::-webkit-scrollbar {
        width: 0.4rem;
        height: 0.4rem;
        display: block;
        background-color: #f2f2f2;
    }

    button {
        user-select: none;
        outline: none;
    }
    .mat-header-row {
        background-color: $gray-lightest;
    }
    .mat-header-cell {
        text-transform: uppercase !important;
        font-weight: bold;
        cursor: pointer;
        * {
            text-transform: uppercase;
            font-weight: bold;
        }
        .mat-sort-header-container {
            // @extend .Typem1;
            .mat-sort-header-arrow {
                margin-top: 4px;
            }
        }
    }
    .mat-cell,
    .mat-header-cell {
        padding: 0.5em;
        user-select: none;
        outline: none;
    } // *************** Material Tabs CSS ********************* //
    .mat-tab-label-container {
        .mat-tab-labels {
            .mat-tab-label {
                font-size: ms(0);
                &.mat-tab-label-active {
                    color: $secondary-theme-color;
                }
                .mat-header-row {
                    background-color: $gray-lightest;
                }
                .mat-header-cell {
                    text-transform: uppercase;
                    * {
                        text-transform: uppercase;
                        font-weight: bold;
                    }
                }
                .mat-cell,
                .mat-header-cell {
                    padding: 0.5em;
                } // *************** Material Tabs CSS ********************* //
                .mat-tab-label-container {
                    .mat-tab-labels {
                        .mat-tab-label {
                            font-size: ms(0);
                            &.mat-tab-label-active {
                                color: $secondary-theme-color;
                            }
                        }
                    }
                }
                .mat-tab-group.mat-primary {
                    .mat-ink-bar {
                        background-color: $secondary-theme-color;
                    }
                }
            }
        }
    }
    .mat-tab-group.mat-primary {
        .mat-ink-bar {
            background-color: $secondary-theme-color;
        }
    }
}